<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-icon slot="start" name="settings"></ion-icon>
        <ion-title>{{ "HEADER.MENU.PARAMS" | translate }}</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
    <ion-header collapse="condense">
        <ion-toolbar>
            <ion-title size="large">{{ "HEADER.MENU.PARAMS" | translate }}</ion-title>
        </ion-toolbar>
    </ion-header>

    <div id="container" *ngIf="appParameters">
        <ion-card>
            <ion-item>
                <ion-thumbnail slot="start">
                    <ion-icon name="cloud-download"></ion-icon>
                </ion-thumbnail>
                <ion-item class="input">
                    <ion-label position="floating">{{ "PARAMS.AUTO_FETCH_INTERVAL" | translate }}</ion-label>
                    <ion-input [value]="appParameters.interval" (ionChange)="onChangeInterval($event)" type="number" min="1" max="60"></ion-input>
                </ion-item>
            </ion-item>
        </ion-card>

        <ion-card>
            <ion-item>
                <ion-thumbnail slot="start">
                    <ion-icon name="language"></ion-icon>
                </ion-thumbnail>
                <ion-item class="input">
                    <ion-label position="floating">{{ "PARAMS.LANGUAGE" | translate }}</ion-label>
                    <ion-select [value]="appParameters.language" (ionChange)="onChangeLanguage($event)" interface="popover">
                        <ion-select-option *ngFor="let language of availableLanguage" [value]="language.id">{{ "PARAMS.LANGUAGES." + language.translateCode | translate }}</ion-select-option>
                    </ion-select>
                </ion-item>
            </ion-item>
        </ion-card>

        <ion-card *ngIf="userAuth != null">
            <ion-item>
                <ion-label>{{ "PARAMS.ACCOUNT" | translate }}: {{userAuth.name}}</ion-label>
                <ion-button (click)="doSignout()">{{ "SIGNIN.DISCONNECT" | translate }}</ion-button>
            </ion-item>
        </ion-card>
    </div>
</ion-content>